Subject: RE: ASN.1 header proposal

From: "Liqiang(Larry) Zhu" <[email-masked]>
Date: Tue, 21 Oct 2003 10:16:08 -0700

Martin Rex wrote:
>> > 
>> > If not negotiated, we must be extra careful to make sure that it's 
>> > always possible to tell the difference between a wrapped token and
an 
>> > unwrapped token.  But the same question as above applies: what 
>> > acceptor would ever choose to use the ASN.1 wrapper, how and why?

>> You always have to get that right, I specifically pointed that out
long >> ago.  Seems like you've missed most of the discussion.

at one point, Martin suggested reserving token_id (TOK_ID) from 0x60 00
to 0x60 FF, that way you can tell if the token is wrapped or not.

Larry 

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Martin Rex
Sent: Tuesday, October 21, 2003 9:50 AM
To: Nicolas Williams
Cc: [email-masked]; [email-masked]; [email-masked]; JK
Jaganathan
Subject: Re: ASN.1 header proposal

Nicolas Williams wrote:
> 
> [I never got the e-mail from Larry that Martin quotes.]

Because Larry apparently forgot to Cc it to the list--which is why
I didn't realize my Reply didn't go to the list either.

> On Tue, Oct 14, 2003 at 04:48:11PM +0200, Martin Rex wrote:
> > Liqiang\ wrote:
> > > 
> > > How about making the ASN.1 header optional, the sender can send
the
> > > message with or without it, but the receiver must be able to
accept
> > > both. AS of MS, we are looking into turning on the header encoding
via
> > > out of band mechanisms, say group policy, for debugging purposes
only.
> > > Martin, are you willing to accept that?
> > 
> > Sounds like a good idea.
> 
> I think it's horrible.  It adds complexity for no good reason.

Not at all.  The complexity comes from having the header removed.

> 
> If negotiated, what initiators would ever choose to use the ASN.1
> wrapper, how (what API) and why?

ALL portable app initiators that don't specifically request the header
to be left off would get it just as with rfc-1964.
 
> 
> If not negotiated, we must be extra careful to make sure that it's
> always possible to tell the difference between a wrapped token and an
> unwrapped token.  But the same question as above applies: what
acceptor
> would ever choose to use the ASN.1 wrapper, how and why?

You always have to get that right, I specifically pointed that out long
ago.  Seems like you've missed most of the discussion.

-Martin